;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
;************************************************

begin

;**************   READ IN FILES   ***************
 f = addfile("data/tasmax_day_MPI-ESM-LR_CELUrcp45_r1i1p1_2081-2100_yearmax_timmean.nc","r")
 f_ctrl  = addfile("data/tasmax_day_MPI-ESM-LR_esmrcp85_r1i1p1_2081-2100_yearmax_timmean.nc","r")
 f_hist  = addfile("data/tasmax_day_MPI-ESM-LR_esmHistorical_r1i1p1_1986-2005_yearmax_timmean.nc","r")

; ************ READ IN VARIABLES  ***************

 temp_CE=f->tasmax(0,:,:)
 temp_ctrl=f_ctrl->tasmax(0,:,:)
 temp_hist=f_hist->tasmax(0,:,:)

 temp_CE    = temp_CE    - temp_hist
 temp_ctrl  = temp_ctrl  - temp_hist
 
;**********  OPEN GRAPHICS WORKSTATION *********
 wks_type = "eps"
 wks = gsn_open_wks(wks_type,"FigureS2A")
 gsn_define_colormap(wks,"WhiteYellowOrangeRed")
;**********  GENERAL PLOT SETTINGS  ************

 plot = new(2,graphic)  
 res                 = True
 res@gsnDraw             = False           ; don't draw
 res@gsnFrame            = False           ; don't advance frame
 res@cnInfoLabelOn       = False           ; turn off cn info label
 res@cnFillOn            = True            ; turn on color
 res@cnFillMode          = "CellFill"
 res@gsnSpreadColors     = True            ; spread out color table 
 res@cnLinesOn           = False
 res@cnLineLabelsOn      = False 
 res@lbLabelBarOn        = False
 res@mpProjection = "CylindricalEquidistant"
 res@mpLimitMode = "LatLon"
 res@mpMinLatF = -88.
 res@mpMaxLatF = 88.
 res@mpPerimOn = False 
 res@mpPerimDrawOrder = "PostDraw"
 res@tmXBLabelsOn = False 
 res@tmXBOn = False
 res@tmYLLabelsOn = False
 res@tmYLOn = False
 res@tmXTOn = False
 res@tmYROn = False
 res@cnLevelSelectionMode =  "ManualLevels"   
 res@cnMinLevelValF       = 1.
 res@cnMaxLevelValF       = 10.
 res@cnLevelSpacingF      = 0.5 
 res@gsnLeftStringFontHeightF = 0.022
 res@gsnRightString  = ""
 res@gsnLeftString  = "FOR (2081-2100) - HIST (1986-2005)"
 plot(0) = gsn_csm_contour_map_ce(wks,temp_CE,res)
 res@gsnLeftString  = "REF (2081-2100) - HIST (1986-2005)"
 plot(1) = gsn_csm_contour_map_ce(wks,temp_ctrl,res)  

;************************************************
; create panel
;************************************************
  resP                     = True                ; modify the panel plot
  resP@txString            = "Warmest day SAT / K" ;~S~o~N~C" 
  resP@txFontHeightF = 0.025
  resP@gsnPanelLabelBar    = True                ; add common colorbar
  resP@lbLabelFontHeightF  = 0.022               ; make labels smaller
  resP@lbLabelStride        = 2
  gsn_panel(wks,plot,(/2,1/),resP)               ; now draw as one plot
 
end
