;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
;************************************************

begin

;**************   READ IN FILES   ***************
 f = addfile("data/tasmax_day_MPI-ESM-LR_CELUrcp45_r1i1p1_2081-2100_yearmax_timmean.nc","r")
 f_ctrl  = addfile("data/tasmax_day_MPI-ESM-LR_esmrcp85_r1i1p1_2081-2100_yearmax_timmean.nc","r")
 f_mean = addfile("data/tas_Amon_MPI-ESM-LR_CELUrcp45_r1i1p1_208101-210012_yearmean_timmean.nc","r")
 f_mean_ctrl  = addfile("data/tas_Amon_MPI-ESM-LR_esmrcp85_r1i1p1_208101-210012_yearmean_timmean.nc","r")

; ************ READ IN VARIABLES  ***************
 
 temp_CE=f->tasmax(0,:,:)
 temp_ctrl=f_ctrl->tasmax(0,:,:)
 temp_mean_CE=f_mean->tas(0,:,:)
 temp_mean_ctrl=f_mean_ctrl->tas(0,:,:)

 temp_CE      = temp_CE - temp_ctrl
 temp_mean_CE = temp_mean_CE - temp_mean_ctrl

 temp_CE = temp_CE - temp_mean_CE

;**********  OPEN GRAPHICS WORKSTATION *********
 wks_type = "eps"
 wks = gsn_open_wks(wks_type,"FigureS4A")
 gsn_define_colormap(wks,"BlWhRe")  
  
;**********  GENERAL PLOT SETTINGS  ************

 res                 = True
 res@cnInfoLabelOn       = False           ; turn off cn info label
 res@cnFillOn            = True            ; turn on color
 res@cnFillMode          = "CellFill"
 res@gsnSpreadColors     = True            ; spread out color table 
 res@cnLinesOn           = False
 res@cnLineLabelsOn      = False 
 res@lbLabelBarOn        = True         
 res@gsnMaximize         = True
 res@mpProjection = "CylindricalEquidistant"
 res@mpLimitMode = "LatLon"
 res@mpMinLatF = -88.
 res@mpMaxLatF = 88.
 res@mpPerimDrawOrder = "PostDraw"
 res@mpFillOn = False
 res@tmXBLabelsOn = False 
 res@tmXBOn = False
 res@tmYLLabelsOn = False
 res@tmYLOn = False
 res@tmXTOn = False
 res@tmYROn = False
 res@cnLevelSelectionMode = "ExplicitLevels"    			; set explicit contour levels
 res@cnLevels    = (/ -2.5,-2.25,-2.0,-1.75,-1.5,-1.25,-1.,-0.75,-0.5,-0.25,0.25,0.5,0.75,1.,1.25,1.5,1.75,2.,2.25,2.5/)
 res@cnExplicitLabelBarLabelsOn = True 
 res@lbLabelAutoStride = False
 res@lbLabelStrings = (/"-2.5","","-2.0","","-1.5","","-1.0","","-0.5","","","0.5","","1.0","","1.5","","2.0","","2.5"/)
 res@lbLabelFontHeightF  = 0.025   
 res@pmLabelBarWidthF = 0.8
 res@pmLabelBarOrthogonalPosF = 0.0
 res@gsnRightString  = ""
 res@gsnLeftString  = "FOR (2081-2100) - REF (2081-2100)"
 res@gsnLeftStringFontHeightF = 0.025
 res@tiMainFontHeightF = 0.028
 res@tiMainString = "Warmest day SAT - annual mean SAT / K"
 res@tiMainFont = 21

 plot1 = gsn_csm_contour_map_ce(wks,temp_CE,res)

end
