;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
;************************************************

begin

;**************   READ IN FILES   ***************
 f_CE_map1 = addfile("data/CELU_deltarho_times_area0.nc","r")
 f_CE_map2 = addfile("data/CELU_deltaarea_times_rho0.nc","r")
 f_CE_map3 = addfile("data/CELU_deltarho_times_deltaarea.nc","r")
 f_ctrl_map1 = addfile("data/esmrcp85_deltarho_times_area0.nc","r")
 f_ctrl_map2 = addfile("data/esmrcp85_deltaarea_times_rho0.nc","r")
 f_ctrl_map3 = addfile("data/esmrcp85_deltarho_times_deltaarea.nc","r")
; ************ READ IN VARIABLES  ***************
 temp_CE_1=f_CE_map1->var160(0,:,:)
 temp_CE_2=f_CE_map2->var12(0,:,:)
 temp_CE_3=f_CE_map3->var160(0,:,:)
 temp_ctrl_1=f_ctrl_map1->var160(0,:,:)
 temp_ctrl_2=f_ctrl_map2->var12(0,:,:)
 temp_ctrl_3=f_ctrl_map3->var160(0,:,:)
; calculate differences
 temp_CE_1 = ( temp_CE_1 - temp_ctrl_1 ) / 10^12
 temp_CE_2 = ( temp_CE_2 - temp_ctrl_2 ) / 10^12
 temp_CE_3 = ( temp_CE_3 - temp_ctrl_3 ) / 10^12
;**********  OPEN GRAPHICS WORKSTATION *********
 wks_type = "eps"
 wks = gsn_open_wks(wks_type,"FigureS5")
 gsn_define_colormap(wks,"BlWhRe")     
;**********  GENERAL PLOT SETTINGS  ************
 plot = new(3,graphic)  
 res                 = True
 res@gsnDraw             = False
 res@gsnFrame            = False
 res@cnInfoLabelOn       = False
 res@cnFillOn            = True 
 res@cnFillMode          = "CellFill"
 res@gsnSpreadColors     = True 
 res@cnLinesOn           = False
 res@cnLineLabelsOn      = False 
 res@lbLabelBarOn        = False
 res@mpProjection = "CylindricalEquidistant"
 res@mpLimitMode = "LatLon"
 res@mpMinLatF = -60.
 res@mpMaxLatF = 84.
 res@mpPerimOn = False 
 res@mpPerimDrawOrder = "PostDraw"
 res@tmXBLabelsOn = False 
 res@tmXBOn = False
 res@tmYLLabelsOn = False
 res@tmYLOn = False
 res@tmXTOn = False
 res@tmYROn = False
 res@cnLevelSelectionMode = "ExplicitLevels"
 res@cnLevels    = (/ -0.4,-0.3,-0.2,-0.1,-0.05,-0.02,0.02,0.05,0.1,0.2,0.3,0.4/)
 res@gsnLeftStringFontHeightF = 0.022
 res@gsnRightString  = ""
 res@gsnLeftString  = "change in density"

 plot(0) = gsn_csm_contour_map(wks,temp_CE_1,res)
 res@gsnLeftString  = "change in area"
 plot(1) = gsn_csm_contour_map(wks,temp_CE_2,res)
 res@gsnLeftString  = "synergy"
 plot(2) = gsn_csm_contour_map(wks,temp_CE_3,res)
 
;********** CREATE PANEL ***************
 resP               = True
 resP@txString      = "Contributions to forest carbon change (FOR-REF 2100) / Gt C"
 resP@txFontHeightF = 0.022
 resP@gsnPanelLabelBar    = True                ; add common colorbar
 resP@lbLabelFontHeightF  = 0.012               ; make labels smaller
 resP@lbLabelStride        = 1
 resP@lbLabelStrings = (/"-0.4","-0.3","-0.2","-0.1","-0.05","-0.02","0.02","0.05","0.1","0.2","0.3","0.4"/)

 gsn_panel(wks,plot,(/3,1/),resP)               ; now draw as one plot
 
end
